<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (version 1.7.0_45) on Wed Oct 14 11:56:20 CEST 2015 -->
<title>Training</title>
<meta name="date" content="2015-10-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Training";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.technogym.android.unitysdk</div>
<h2 title="Class Training" class="title">Class Training</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ContentObserver</li>
<li>
<ul class="inheritance">
<li>com.technogym.android.unitysdk.ContentProviderProxy</li>
<li>
<ul class="inheritance">
<li>com.technogym.android.unitysdk.Training</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Training</span>
extends com.technogym.android.unitysdk.ContentProviderProxy</pre>
<div class="block">The Training content provider that allows you to get and set informations about the current training session.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#AbortAction">AbortAction</a></strong></code>
<div class="block">String command to execute when abort() method is called.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#AskContinueAsGoalAction">AskContinueAsGoalAction</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#AUTOMATIC_MODALITY">AUTOMATIC_MODALITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#BTM_SELECTED_FOOD">BTM_SELECTED_FOOD</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#CALORIES">CALORIES</a></strong></code>
<div class="block">The number of calories burned in the current training session.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#CALORIES_PER_HOUR">CALORIES_PER_HOUR</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#CHRONO">CHRONO</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static Uri</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#CONTENT_URI">CONTENT_URI</a></strong></code>
<div class="block">The Content Provider URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ContinueAsGoalAction">ContinueAsGoalAction</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#CONTROL_FROM_SCAFE">CONTROL_FROM_SCAFE</a></strong></code>
<div class="block">Indicates whether the current training session is recorded or is to record.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#CooldownAction">CooldownAction</a></strong></code>
<div class="block">String command to execute when cooldown() method is called.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#COUNTDOWN">COUNTDOWN</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#EXECUTION_MODALITY">EXECUTION_MODALITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#EXERCISE_MODIFY">EXERCISE_MODIFY</a></strong></code>
<div class="block">Indicates whether the current training session is modified or not (as stopped).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#EXTRA_COOLDOWN_ORIGIN">EXTRA_COOLDOWN_ORIGIN</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ExtraCooldownAction">ExtraCooldownAction</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#FORM_INPUTDATA_READY">FORM_INPUTDATA_READY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#GREEN_FACILITY_CO2_INCREMENT">GREEN_FACILITY_CO2_INCREMENT</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#GREEN_FACILITY_CO2_OFFSET">GREEN_FACILITY_CO2_OFFSET</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#GREEN_FACILITY_INCREMENT">GREEN_FACILITY_INCREMENT</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#GREEN_FACILITY_OFFSET">GREEN_FACILITY_OFFSET</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#GREEN_SELECTED_TARGET">GREEN_SELECTED_TARGET</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#HEARTRATE_AVG">HEARTRATE_AVG</a></strong></code>
<div class="block">The heart rate average in the current training session.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#HEARTRATE_MAX">HEARTRATE_MAX</a></strong></code>
<div class="block">The maximum value that heart rate can assume.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#HIDE_DATA_ON_SYSTEMBAR">HIDE_DATA_ON_SYSTEMBAR</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#HrDetectedAction">HrDetectedAction</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#INFO_AREA_DESCRIPTOR">INFO_AREA_DESCRIPTOR</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#INFO_VIEW_DESCRIPTOR">INFO_VIEW_DESCRIPTOR</a></strong></code>
<div class="block">A string representing the AppInfo object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#LEVEL">LEVEL</a></strong></code>
<div class="block">Indicates the level of the current training.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#MANUAL_MODALITY">MANUAL_MODALITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#METS">METS</a></strong></code>
<div class="block">The current heart rate of user in the current training session.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#MOVES">MOVES</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#PauseAction">PauseAction</a></strong></code>
<div class="block">String command to execute when pause() method is called.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#PERC_FCMAX">PERC_FCMAX</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#PERSONAL_RECORDS_COOLDOWN">PERSONAL_RECORDS_COOLDOWN</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#PROFILE_SET">PROFILE_SET</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#PROPERTY_SET">PROPERTY_SET</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#REPETITIONS">REPETITIONS</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#REST_CALORIES">REST_CALORIES</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#REST_DISTANCE">REST_DISTANCE</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#REST_TIME">REST_TIME</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#RestartAction">RestartAction</a></strong></code>
<div class="block">String command to execute when restart() method is called.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#SERIES">SERIES</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#SHARE_FB_COOLDOWN">SHARE_FB_COOLDOWN</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_COOLDOWN">ST_COOLDOWN</a></strong></code>
<div class="block">The training status is "cool down".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_INTERRUPTED">ST_INTERRUPTED</a></strong></code>
<div class="block">The training status is "interrupted".</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_PAUSE">ST_PAUSE</a></strong></code>
<div class="block">The training status is "pause": in this state the training is paused and can be resumed at any time. .</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_REST_TIME">ST_REST_TIME</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_RUNNING">ST_RUNNING</a></strong></code>
<div class="block">The training status is "running": in this state the training is in progress.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_TERMINATE">ST_TERMINATE</a></strong></code>
<div class="block">The training status is "terminate".</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_UNKNOWN">ST_UNKNOWN</a></strong></code>
<div class="block">The training status is "unknown".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_WAIT_DATA">ST_WAIT_DATA</a></strong></code>
<div class="block">The training status is "wait data".</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_WAITING_HR_DETECTED">ST_WAITING_HR_DETECTED</a></strong></code>
<div class="block">The training status is "waiting for heart rate detection".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#ST_WARMUP">ST_WARMUP</a></strong></code>
<div class="block">The training status is "warm up".</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#STARTED_EXERCISE_ID">STARTED_EXERCISE_ID</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#StartInputProfileAction">StartInputProfileAction</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#STATUS">STATUS</a></strong></code>
<div class="block">The status of the current training session.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#STATUS_NOTIFICATION">STATUS_NOTIFICATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#StopAction">StopAction</a></strong></code>
<div class="block">String command to execute when stop() method is called.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TARGET_CALORIES">TARGET_CALORIES</a></strong></code>
<div class="block">The target calories for the current training session, in kcal.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TARGET_DISTANCE">TARGET_DISTANCE</a></strong></code>
<div class="block">The target distance for the current training session, in meters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TARGET_HEARTRATE">TARGET_HEARTRATE</a></strong></code>
<div class="block">The target heart rate for the current training session.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TARGET_TIME">TARGET_TIME</a></strong></code>
<div class="block">The target time for the current training session, in seconds.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TerminateFromExtraCooldownAction">TerminateFromExtraCooldownAction</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TerminateWithoutCooldownAction">TerminateWithoutCooldownAction</a></strong></code>
<div class="block">String command to execute when cooldown() method is called.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TIME">TIME</a></strong></code>
<div class="block">The elapsed time of the current training session, in seconds.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TRAINING_EXTERNAL_PANEL_ENABLED">TRAINING_EXTERNAL_PANEL_ENABLED</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#TRAINING_VIEW_MODE">TRAINING_VIEW_MODE</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#UI_TRAINING_DATA">UI_TRAINING_DATA</a></strong></code>
<div class="block">Display mode of the training.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#VIEW_DATA_ON_SYSTEMBAR">VIEW_DATA_ON_SYSTEMBAR</a></strong></code>
<div class="block">Some of the training data (e.g. gradient, speed) are visible in the status bar.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#VIEW_DATA_ON_SYSTEMBAR_WITHOUT_EXTERNAL_PANEL">VIEW_DATA_ON_SYSTEMBAR_WITHOUT_EXTERNAL_PANEL</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#VO2">VO2</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#WaitHrAction">WaitHrAction</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_com.technogym.android.unitysdk.ContentProviderProxy">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.technogym.android.unitysdk.ContentProviderProxy</h3>
<code>cache, ctx, FOR_SYSTEMBAR, observers</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#abort()">abort</a></strong>()</code>
<div class="block">Start an intent to execute the abort action.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#abort(Context)">abort</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#addFBExtraCooldown(Context)">addFBExtraCooldown</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#addPRExtraCooldown(Context)">addPRExtraCooldown</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#continueAsGoal()">continueAsGoal</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#cooldown()">cooldown</a></strong>()</code>
<div class="block">Start an intent to execute the cooldown action.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#cooldown(Context)">cooldown</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#extraCooldown()">extraCooldown</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/technogym/android/unitysdk/Training.html" title="class in com.technogym.android.unitysdk">Training</a></code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#getInstance(Context)">getInstance</a></strong>(Context&nbsp;ctx)</code>
<div class="block">Obtain reference of singleton.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#getState()">getState</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#getStatefromIntent(Intent)">getStatefromIntent</a></strong>(Intent&nbsp;intent)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#pause()">pause</a></strong>()</code>
<div class="block">Start an intent to execute the pause action.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#restart()">restart</a></strong>()</code>
<div class="block">Start an intent to execute the restart action.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#setState(int)">setState</a></strong>(int&nbsp;state)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#stop()">stop</a></strong>()</code>
<div class="block">Start an intent to execute the stop action.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#stop(Context)">stop</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#tearDown()">tearDown</a></strong>()</code>
<div class="block">Fake tear down does nothing because this Content Provider Proxy is a singleton.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#terminateFromExtraCooldown()">terminateFromExtraCooldown</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#terminateFromExtraCooldown(Context)">terminateFromExtraCooldown</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Training.html#terminateWithoutCooldown()">terminateWithoutCooldown</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.technogym.android.unitysdk.ContentProviderProxy">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.technogym.android.unitysdk.ContentProviderProxy</h3>
<code>clear, commit, get, getBioFeedbackSample, getBoolean, getByteArray, getDate, getDouble, getFloat, getInt, getLong, getSample, getString, getType, notifyOnChange, notifyOnChange, onChange, removeNotifyOnChange, set, set, set, set, set, set, set, set, set, set, setType</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="GREEN_SELECTED_TARGET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN_SELECTED_TARGET</h4>
<pre>public static final&nbsp;java.lang.String GREEN_SELECTED_TARGET</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.GREEN_SELECTED_TARGET">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GREEN_FACILITY_OFFSET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN_FACILITY_OFFSET</h4>
<pre>public static final&nbsp;java.lang.String GREEN_FACILITY_OFFSET</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.GREEN_FACILITY_OFFSET">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GREEN_FACILITY_INCREMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN_FACILITY_INCREMENT</h4>
<pre>public static final&nbsp;java.lang.String GREEN_FACILITY_INCREMENT</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.GREEN_FACILITY_INCREMENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GREEN_FACILITY_CO2_OFFSET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN_FACILITY_CO2_OFFSET</h4>
<pre>public static final&nbsp;java.lang.String GREEN_FACILITY_CO2_OFFSET</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.GREEN_FACILITY_CO2_OFFSET">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GREEN_FACILITY_CO2_INCREMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN_FACILITY_CO2_INCREMENT</h4>
<pre>public static final&nbsp;java.lang.String GREEN_FACILITY_CO2_INCREMENT</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.GREEN_FACILITY_CO2_INCREMENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BTM_SELECTED_FOOD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BTM_SELECTED_FOOD</h4>
<pre>public static final&nbsp;java.lang.String BTM_SELECTED_FOOD</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.BTM_SELECTED_FOOD">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CALORIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CALORIES</h4>
<pre>public static final&nbsp;java.lang.String CALORIES</pre>
<div class="block">The number of calories burned in the current training session. To get the value, use a syntax like <code>tr.getInt(Training.CALORIES)</code> where <b><i>tr</i></b> is an instance
 of Training class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.CALORIES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CHRONO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHRONO</h4>
<pre>public static final&nbsp;java.lang.String CHRONO</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.CHRONO">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="METS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>METS</h4>
<pre>public static final&nbsp;java.lang.String METS</pre>
<div class="block">The current heart rate of user in the current training session. To get the value, use a syntax like <code>tr.getLong(Training.HEARTRATE)</code> where <b><i>tr</i></b> is an
 instance of Training class. the value is -1 if the value is not available.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.METS">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HEARTRATE_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEARTRATE_MAX</h4>
<pre>public static final&nbsp;java.lang.String HEARTRATE_MAX</pre>
<div class="block">The maximum value that heart rate can assume. To get the value, use a syntax like <code>tr.getLong(Training.HEARTRATE_MAX)</code> where <b><i>tr</i></b> is an instance of
 Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.HEARTRATE_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HEARTRATE_AVG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEARTRATE_AVG</h4>
<pre>public static final&nbsp;java.lang.String HEARTRATE_AVG</pre>
<div class="block">The heart rate average in the current training session. To get the value, use a syntax like <code>tr.getInt(Training.HEARTRATE_AVG)</code> where <b><i>tr</i></b> is an instance
 of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.HEARTRATE_AVG">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TIME</h4>
<pre>public static final&nbsp;java.lang.String TIME</pre>
<div class="block">The elapsed time of the current training session, in seconds. To get the value, use a syntax like <code>tr.getString(Training.TIME)</code> where <b><i>tr</i></b> is an instance
 of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TIME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COUNTDOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COUNTDOWN</h4>
<pre>public static final&nbsp;java.lang.String COUNTDOWN</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.COUNTDOWN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STATUS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS</h4>
<pre>public static final&nbsp;java.lang.String STATUS</pre>
<div class="block">The status of the current training session. To get the value, use a syntax like <code>tr.getLong(Training.STATUS)</code> where <b><i>tr</i></b> is an instance of Training class.
 <p>
 The allowed types are:
 
 <pre>
 <code>Training.ST_UNKNOWN
 Training.ST_RUNNING
 Training.ST_PAUSE
 Training.ST_WARMUP
 Training.ST_COOLDOWN
 Training.ST_STOPPED
 Training.ST_WAIT_DATA
 Training.ST_TERMINATE
 Training.ST_INTERRUPTED
 Training.ST_WAITING_HR_DETECTED
 Training.ST_REST_TIME
 </code>
 </pre>
 
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.STATUS">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STATUS_NOTIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_NOTIFICATION</h4>
<pre>public static final&nbsp;java.lang.String STATUS_NOTIFICATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.STATUS_NOTIFICATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_TIME</h4>
<pre>public static final&nbsp;java.lang.String TARGET_TIME</pre>
<div class="block">The target time for the current training session, in seconds. To get the value, use a syntax like <code>tr.getLong(Training.TARGET_TIME)</code> where <b><i>tr</i></b> is an
 instance of Training class. If the value is not available it returns -1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TARGET_TIME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_DISTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_DISTANCE</h4>
<pre>public static final&nbsp;java.lang.String TARGET_DISTANCE</pre>
<div class="block">The target distance for the current training session, in meters. To get the value, use a syntax like <code>tr.getLong(Training.TARGET_DISTANCE)</code> where <b><i>tr</i></b> is
 an instance of Training class. If the value is not available it returns -1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TARGET_DISTANCE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_CALORIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_CALORIES</h4>
<pre>public static final&nbsp;java.lang.String TARGET_CALORIES</pre>
<div class="block">The target calories for the current training session, in kcal. To get the value, use a syntax like <code>tr.getLong(Training.TARGET_CALORIES)</code> where <b><i>tr</i></b> is an
 instance of Training class. If the value is not available it returns -1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TARGET_CALORIES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_HEARTRATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_HEARTRATE</h4>
<pre>public static final&nbsp;java.lang.String TARGET_HEARTRATE</pre>
<div class="block">The target heart rate for the current training session. To get the value, use a syntax like <code>tr.getLong(Training.TARGET_HEARTRATE)</code> where <b><i>tr</i></b> is an
 instance of Training class. If the value is not available it returns -1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TARGET_HEARTRATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="REST_DISTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REST_DISTANCE</h4>
<pre>public static final&nbsp;java.lang.String REST_DISTANCE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.REST_DISTANCE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="REST_CALORIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REST_CALORIES</h4>
<pre>public static final&nbsp;java.lang.String REST_CALORIES</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.REST_CALORIES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="MOVES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MOVES</h4>
<pre>public static final&nbsp;java.lang.String MOVES</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.MOVES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CALORIES_PER_HOUR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CALORIES_PER_HOUR</h4>
<pre>public static final&nbsp;java.lang.String CALORIES_PER_HOUR</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.CALORIES_PER_HOUR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PERC_FCMAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PERC_FCMAX</h4>
<pre>public static final&nbsp;java.lang.String PERC_FCMAX</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.PERC_FCMAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INFO_VIEW_DESCRIPTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_VIEW_DESCRIPTOR</h4>
<pre>public static final&nbsp;java.lang.String INFO_VIEW_DESCRIPTOR</pre>
<div class="block">A string representing the AppInfo object. To get the value, use a syntax like <code>tr.getLong(Training.INFO_VIEW_DESCRIPTOR)</code> where <b><i>tr</i></b> is an instance of
 Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.INFO_VIEW_DESCRIPTOR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INFO_AREA_DESCRIPTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_AREA_DESCRIPTOR</h4>
<pre>public static final&nbsp;java.lang.String INFO_AREA_DESCRIPTOR</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.INFO_AREA_DESCRIPTOR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PROPERTY_SET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPERTY_SET</h4>
<pre>public static final&nbsp;java.lang.String PROPERTY_SET</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.PROPERTY_SET">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="UI_TRAINING_DATA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UI_TRAINING_DATA</h4>
<pre>public static final&nbsp;java.lang.String UI_TRAINING_DATA</pre>
<div class="block">Display mode of the training. To get the value, use a syntax like <code>tr.getString(Training.TRAINING_VIEW_MODE)</code> where <b><i>tr</i></b> is an instance of Training class.
 <p>
 The values that you can use are:
 
 <pre>
 <code>Training.VIEW_FULL
 Training.VIEW_MINIMAL
 </code>
 </pre>
 
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.UI_TRAINING_DATA">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TRAINING_VIEW_MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRAINING_VIEW_MODE</h4>
<pre>public static final&nbsp;java.lang.String TRAINING_VIEW_MODE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TRAINING_VIEW_MODE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TRAINING_EXTERNAL_PANEL_ENABLED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRAINING_EXTERNAL_PANEL_ENABLED</h4>
<pre>public static final&nbsp;java.lang.String TRAINING_EXTERNAL_PANEL_ENABLED</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TRAINING_EXTERNAL_PANEL_ENABLED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EXERCISE_MODIFY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXERCISE_MODIFY</h4>
<pre>public static final&nbsp;java.lang.String EXERCISE_MODIFY</pre>
<div class="block">Indicates whether the current training session is modified or not (as stopped). To get the value, use a syntax like <code>tr.getBoolean(Training.EXERCISE_MODIFY)</code> where
 <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.EXERCISE_MODIFY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CONTROL_FROM_SCAFE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTROL_FROM_SCAFE</h4>
<pre>public static final&nbsp;java.lang.String CONTROL_FROM_SCAFE</pre>
<div class="block">Indicates whether the current training session is recorded or is to record. To get the value, use a syntax like <code>tr.getBoolean(Training.RECORDING_MODE)</code> where
 <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.CONTROL_FROM_SCAFE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PROFILE_SET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROFILE_SET</h4>
<pre>public static final&nbsp;java.lang.String PROFILE_SET</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.PROFILE_SET">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LEVEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LEVEL</h4>
<pre>public static final&nbsp;java.lang.String LEVEL</pre>
<div class="block">Indicates the level of the current training. To get the value, use a syntax like <code>tr.getLong(Training.LEVEL)</code> where <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.LEVEL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="VO2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VO2</h4>
<pre>public static final&nbsp;java.lang.String VO2</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.VO2">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="REST_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REST_TIME</h4>
<pre>public static final&nbsp;java.lang.String REST_TIME</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.REST_TIME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SERIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SERIES</h4>
<pre>public static final&nbsp;java.lang.String SERIES</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.SERIES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="REPETITIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPETITIONS</h4>
<pre>public static final&nbsp;java.lang.String REPETITIONS</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.REPETITIONS">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="VIEW_DATA_ON_SYSTEMBAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VIEW_DATA_ON_SYSTEMBAR</h4>
<pre>public static final&nbsp;int VIEW_DATA_ON_SYSTEMBAR</pre>
<div class="block">Some of the training data (e.g. gradient, speed) are visible in the status bar.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.VIEW_DATA_ON_SYSTEMBAR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HIDE_DATA_ON_SYSTEMBAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HIDE_DATA_ON_SYSTEMBAR</h4>
<pre>public static final&nbsp;int HIDE_DATA_ON_SYSTEMBAR</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.HIDE_DATA_ON_SYSTEMBAR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="VIEW_DATA_ON_SYSTEMBAR_WITHOUT_EXTERNAL_PANEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VIEW_DATA_ON_SYSTEMBAR_WITHOUT_EXTERNAL_PANEL</h4>
<pre>public static final&nbsp;int VIEW_DATA_ON_SYSTEMBAR_WITHOUT_EXTERNAL_PANEL</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.VIEW_DATA_ON_SYSTEMBAR_WITHOUT_EXTERNAL_PANEL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_UNKNOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_UNKNOWN</h4>
<pre>public static final&nbsp;int ST_UNKNOWN</pre>
<div class="block">The training status is "unknown". It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code> command, where <b><i>tr</i></b> is an instance of
 Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_UNKNOWN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_RUNNING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_RUNNING</h4>
<pre>public static final&nbsp;int ST_RUNNING</pre>
<div class="block">The training status is "running": in this state the training is in progress. It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code> command,
 where <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_RUNNING">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_PAUSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_PAUSE</h4>
<pre>public static final&nbsp;int ST_PAUSE</pre>
<div class="block">The training status is "pause": in this state the training is paused and can be resumed at any time. . It is one of the values you can get when using the
 <code>tr.getLong(Training.STATUS)</code> command, where <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_PAUSE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_WARMUP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_WARMUP</h4>
<pre>public static final&nbsp;int ST_WARMUP</pre>
<div class="block">The training status is "warm up". It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code> command, where <b><i>tr</i></b> is an instance of
 Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_WARMUP">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_COOLDOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_COOLDOWN</h4>
<pre>public static final&nbsp;int ST_COOLDOWN</pre>
<div class="block">The training status is "cool down". In this state speed and inclination are decreased gradually to terminate the training. It is one of the values you can get when using the
 <code>tr.getLong(Training.STATUS)</code> command, where <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_COOLDOWN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_WAIT_DATA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_WAIT_DATA</h4>
<pre>public static final&nbsp;int ST_WAIT_DATA</pre>
<div class="block">The training status is "wait data". The system is waiting for data. It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code> command, where
 <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_WAIT_DATA">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_TERMINATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_TERMINATE</h4>
<pre>public static final&nbsp;int ST_TERMINATE</pre>
<div class="block">The training status is "terminate". The user has completed the training. It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code> command,
 where <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_TERMINATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_INTERRUPTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_INTERRUPTED</h4>
<pre>public static final&nbsp;int ST_INTERRUPTED</pre>
<div class="block">The training status is "interrupted". This status is caused by emergency or fault. It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code>
 command, where <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_INTERRUPTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_WAITING_HR_DETECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_WAITING_HR_DETECTED</h4>
<pre>public static final&nbsp;int ST_WAITING_HR_DETECTED</pre>
<div class="block">The training status is "waiting for heart rate detection". It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code> command, where
 <b><i>tr</i></b> is an instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_WAITING_HR_DETECTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ST_REST_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ST_REST_TIME</h4>
<pre>public static final&nbsp;int ST_REST_TIME</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ST_REST_TIME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EXECUTION_MODALITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXECUTION_MODALITY</h4>
<pre>public static final&nbsp;java.lang.String EXECUTION_MODALITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.EXECUTION_MODALITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="MANUAL_MODALITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MANUAL_MODALITY</h4>
<pre>public static final&nbsp;int MANUAL_MODALITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.MANUAL_MODALITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="AUTOMATIC_MODALITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTOMATIC_MODALITY</h4>
<pre>public static final&nbsp;int AUTOMATIC_MODALITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.AUTOMATIC_MODALITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CONTENT_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_URI</h4>
<pre>public static final&nbsp;Uri CONTENT_URI</pre>
<div class="block">The Content Provider URI.</div>
</li>
</ul>
<a name="STARTED_EXERCISE_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STARTED_EXERCISE_ID</h4>
<pre>public static final&nbsp;java.lang.String STARTED_EXERCISE_ID</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.STARTED_EXERCISE_ID">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PauseAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PauseAction</h4>
<pre>public static final&nbsp;java.lang.String PauseAction</pre>
<div class="block">String command to execute when pause() method is called.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.PauseAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RestartAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RestartAction</h4>
<pre>public static final&nbsp;java.lang.String RestartAction</pre>
<div class="block">String command to execute when restart() method is called.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.RestartAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CooldownAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CooldownAction</h4>
<pre>public static final&nbsp;java.lang.String CooldownAction</pre>
<div class="block">String command to execute when cooldown() method is called.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.CooldownAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="StopAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>StopAction</h4>
<pre>public static final&nbsp;java.lang.String StopAction</pre>
<div class="block">String command to execute when stop() method is called.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.StopAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="AbortAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AbortAction</h4>
<pre>public static final&nbsp;java.lang.String AbortAction</pre>
<div class="block">String command to execute when abort() method is called.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.AbortAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TerminateWithoutCooldownAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TerminateWithoutCooldownAction</h4>
<pre>public static final&nbsp;java.lang.String TerminateWithoutCooldownAction</pre>
<div class="block">String command to execute when cooldown() method is called.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TerminateWithoutCooldownAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ExtraCooldownAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExtraCooldownAction</h4>
<pre>public static final&nbsp;java.lang.String ExtraCooldownAction</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ExtraCooldownAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TerminateFromExtraCooldownAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TerminateFromExtraCooldownAction</h4>
<pre>public static final&nbsp;java.lang.String TerminateFromExtraCooldownAction</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.TerminateFromExtraCooldownAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="AskContinueAsGoalAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AskContinueAsGoalAction</h4>
<pre>public static final&nbsp;java.lang.String AskContinueAsGoalAction</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.AskContinueAsGoalAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ContinueAsGoalAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ContinueAsGoalAction</h4>
<pre>public static final&nbsp;java.lang.String ContinueAsGoalAction</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.ContinueAsGoalAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="StartInputProfileAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>StartInputProfileAction</h4>
<pre>public static final&nbsp;java.lang.String StartInputProfileAction</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.StartInputProfileAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="WaitHrAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WaitHrAction</h4>
<pre>public static final&nbsp;java.lang.String WaitHrAction</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.WaitHrAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HrDetectedAction">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HrDetectedAction</h4>
<pre>public static final&nbsp;java.lang.String HrDetectedAction</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.HrDetectedAction">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EXTRA_COOLDOWN_ORIGIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTRA_COOLDOWN_ORIGIN</h4>
<pre>public static&nbsp;java.lang.String EXTRA_COOLDOWN_ORIGIN</pre>
</li>
</ul>
<a name="SHARE_FB_COOLDOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHARE_FB_COOLDOWN</h4>
<pre>public static&nbsp;int SHARE_FB_COOLDOWN</pre>
</li>
</ul>
<a name="PERSONAL_RECORDS_COOLDOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PERSONAL_RECORDS_COOLDOWN</h4>
<pre>public static&nbsp;int PERSONAL_RECORDS_COOLDOWN</pre>
</li>
</ul>
<a name="FORM_INPUTDATA_READY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FORM_INPUTDATA_READY</h4>
<pre>public static final&nbsp;java.lang.String FORM_INPUTDATA_READY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Training.FORM_INPUTDATA_READY">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../com/technogym/android/unitysdk/Training.html" title="class in com.technogym.android.unitysdk">Training</a>&nbsp;getInstance(Context&nbsp;ctx)</pre>
<div class="block">Obtain reference of singleton.</div>
</li>
</ul>
<a name="tearDown()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tearDown</h4>
<pre>public&nbsp;void&nbsp;tearDown()</pre>
<div class="block">Fake tear down does nothing because this Content Provider Proxy is a singleton.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>tearDown</code>&nbsp;in class&nbsp;<code>com.technogym.android.unitysdk.ContentProviderProxy</code></dd>
</dl>
</li>
</ul>
<a name="setState(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setState</h4>
<pre>public&nbsp;void&nbsp;setState(int&nbsp;state)</pre>
</li>
</ul>
<a name="getState()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>public&nbsp;int&nbsp;getState()</pre>
</li>
</ul>
<a name="pause()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pause</h4>
<pre>public&nbsp;void&nbsp;pause()</pre>
<div class="block">Start an intent to execute the pause action.</div>
</li>
</ul>
<a name="restart()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restart</h4>
<pre>public&nbsp;void&nbsp;restart()</pre>
<div class="block">Start an intent to execute the restart action.</div>
</li>
</ul>
<a name="cooldown()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cooldown</h4>
<pre>public&nbsp;void&nbsp;cooldown()</pre>
<div class="block">Start an intent to execute the cooldown action.</div>
</li>
</ul>
<a name="terminateWithoutCooldown()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>terminateWithoutCooldown</h4>
<pre>public&nbsp;void&nbsp;terminateWithoutCooldown()</pre>
</li>
</ul>
<a name="continueAsGoal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>continueAsGoal</h4>
<pre>public&nbsp;void&nbsp;continueAsGoal()</pre>
</li>
</ul>
<a name="stop()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>public&nbsp;void&nbsp;stop()</pre>
<div class="block">Start an intent to execute the stop action.</div>
</li>
</ul>
<a name="abort()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>abort</h4>
<pre>public&nbsp;void&nbsp;abort()</pre>
<div class="block">Start an intent to execute the abort action.</div>
</li>
</ul>
<a name="extraCooldown()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extraCooldown</h4>
<pre>public&nbsp;void&nbsp;extraCooldown()</pre>
</li>
</ul>
<a name="terminateFromExtraCooldown()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>terminateFromExtraCooldown</h4>
<pre>public&nbsp;void&nbsp;terminateFromExtraCooldown()</pre>
</li>
</ul>
<a name="getStatefromIntent(Intent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefromIntent</h4>
<pre>public static&nbsp;int&nbsp;getStatefromIntent(Intent&nbsp;intent)</pre>
</li>
</ul>
<a name="addFBExtraCooldown(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFBExtraCooldown</h4>
<pre>public static&nbsp;void&nbsp;addFBExtraCooldown(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="addPRExtraCooldown(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPRExtraCooldown</h4>
<pre>public static&nbsp;void&nbsp;addPRExtraCooldown(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="terminateFromExtraCooldown(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>terminateFromExtraCooldown</h4>
<pre>public static&nbsp;void&nbsp;terminateFromExtraCooldown(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="stop(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>public static&nbsp;void&nbsp;stop(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="cooldown(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cooldown</h4>
<pre>public static&nbsp;void&nbsp;cooldown(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="abort(Context)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>abort</h4>
<pre>public static&nbsp;void&nbsp;abort(Context&nbsp;ctx)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
